Index: /DVD_images/extra_files/Geraldton/analysis.html
===================================================================
--- /DVD_images/extra_files/Geraldton/analysis.html	(revision 7619)
+++ /DVD_images/extra_files/Geraldton/analysis.html	(revision 7620)
@@ -23,5 +23,5 @@
 
   <a name="analysis scripts"><h2><b>Analysis Scripts</b></h2></a>
-  There are number of analysis scripts on this disk that you can use to extract information from the SWW files
+  There are number of analysis scripts on this disk that can be used to extract information from the ANUGA output (SWW) files
   produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
   from SWW files, but are offered as an example of one way to do it.
@@ -32,10 +32,10 @@
 
   <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
-  The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
-  of an ANUGA variable or expression for each point in a user-defined ArcGIS grid on the simulation region.
+  The <font color="red">export_results_max.py</font> script can be used to create an ASCI (.asc) file that contains the maximum
+  of an ANUGA variable or expression for each point in a user-defined grid on the simulation region. ASCI files can then be imported into a GIS environment.
   <p>
-  You must change certain values within the <font color="red">export_results_max.py</font> file to get what you want:
+  Certain values within the <font color="red">export_results_max.py</font> file must be changed to align with the correct output files:
   <ul>
-    <li> List the output folder names here, with one for each simulation you have run:
+    <li> List the output folder names here, with one for each simulation run:
 <pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
     time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'</font></pre>
@@ -43,7 +43,7 @@
   <p>Then modify the line:
 <pre><font color="brown">    time_dirs = [time_dir1, time_dir2]</font></pre>
-         to include each of the variables you defined above.
+         to include each of the variables defined above.
          <p>
-    <li> Your SWW output will have a name like <font color="red">geraldton.sww</font>. For a large model you
+    <li> The SWW output will have a name like <font color="red">geraldton.sww</font>. For a large model you
          may have more than one output file with extra filenames like <font color="red">geraldton_37860_0.sww</font>,
          where the <b>37860</b> tells us that the timestep at the start of this file is 37860 sec. The
@@ -55,29 +55,29 @@
     times = [20000, 40000, 60000]</font></pre>
          <p>
-         <i>Note we do not have to specify the first SWW file, only the extra file start times. If there are no extra SWW files,
+         <i>Note that it is not necessary to specify the first SWW file, only the extra file start times. If there are no extra SWW files,
          just do:</i>
          <p>
 <pre><font color="brown">    times = []</font></pre>
          <p>
-    <li> Modify the <b>cellsize</b> value to set the size of the ArcGIS grid you require.  For example:
-<pre><font color="brown">    cellsize = 20		# ArcGIS grid cell size in metres</font></pre>
+    <li> Modify the <b>cellsize</b> value to set the resolution of the output grid required.  For example:
+<pre><font color="brown">    cellsize = 20		# Grid cell size in metres</font></pre>
          <p>
          <i>Note: That this value should not go beyond the most refined part of the mesh
          i.e. if mesh resolution is 500m<sup>2</sup>, cellsize = (500 </i>x<i> 2)<sup>1/2</sup> = 32m</i>
          <p>
-    <li> You can get the maximum of a variable or expression over the entire model time, or for a single time in the simulation.
-         Set <b>timestep</b> to the required time you want the maximum for, or set it to <b>None</b> to indicate that you want
+    <li> Maximum values of a variable or expression may be extracted over the entire model time or for a single time in the simulation.
+         Set <b>timestep</b> to the required time to extract the maximum for, or set it to <b>None</b> to extract
          the maximum values over all timesteps:
 <pre><font color="brown">    timestep = None  # over all timesteps
     #timestep = 0</font></pre>
          <p>
-         <i>Note that if you want the elevation use <b>timestep = 0</b>. Elevation does not change over time and you only need the
-         first SWW file.</i>
+         <i>Note that if extracting elevation use <b>timestep = 0</b>. Elevation does not change over time and therefore only the
+         first SWW file is needed.</i>
          <p>
-    <li> If you want to clip the ArcGIS grid to one or more small regions then put the names of the regions of interest
+    <li> To clip the ASCI grid to one or more small regions then put the names of the regions of interest
          into the <b>area</b> list:
 <pre><font color="brown">    area = ['geraldton', 'NW', 'South']</font></pre>
          <p>
-         <i>Note that the name strings you put into the <b>area</b> list must match the names used in the
+         <i>Note that the name strings in the <b>area</b> list must match the names used in the
          <font color="red">project.py</font> file.  That is, if you use a name such as 'NW', then the
          <font color="red">project.py</font> file must have lines like:</i>
@@ -91,9 +91,9 @@
 <pre><font color="brown">    area = ['All']		# no region of interest</font></pre>
          <p>
-    <li> Finally you must decide which variable or expression values you want sampled on your ArcGIS grid.
+    <li> Finally the variable or expression values to be sampled on your ASCI grid must be specified.
          Define a list <b>var</b> that contains strings defining the required variable or expression:
 <pre><font color="brown">    var = ['depth', 'speed']</font></pre>
-         <i>Note that the strings you supply must be defined in the <b>var_equations</b> dictionary
-         prior to your definition of <b>var</b>:</i>
+         <i>Note that the strings supplied must be defined in the <b>var_equations</b> dictionary
+         prior to definition of <b>var</b>:</i>
 <pre><font color="brown">    var_equations = {'stage':     'stage',
                      'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
@@ -101,5 +101,5 @@
                      'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
                      'elevation': 'elevation' }</font></pre>
-         This dictionary maps your <b>var</b> strings to a variable or expression.
+         This dictionary maps the <b>var</b> strings to a variable or expression.
   </ul>
 
@@ -108,15 +108,15 @@
   data at one or more timeseries gauge points in a simulation.
   <p>
-  You must change certain values within the <font color="red">get_timeseries.py</font> file to get what you want:
+  Certain values within the <font color="red">export_results_max.py</font> file must be changed to align with the correct output files:
   <ul>
-    <li> Depending on how many simulations you have run will determine the number of output folder names you insert here:
+    <li> List the output folder names here, with one for each simulation run:
 <pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
     time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'</font></pre>
-         as necessary.  Then modify the line:
+          Then modify the line:
 <pre><font color="brown">    time_dirs = [time_dir1, time_dir2]</font></pre>
-         to include each of the variables you defined above.
+         to include each of the variables defined above.
          <p>
     <li> Make sure that the <b>gauges</b> list specified in <font color="red">projects.py</font> contains one or more CSV files
-         defining the gauges within the simulation that you want the timeseries data for.
+         defining the synthetic gauges within the simulation that the timeseries data will be extracted for.
          The gauge file must have this format:
 <pre><font color="brown">    easting,northing,name,elevation
@@ -124,4 +124,10 @@
     532441.5164,5239639.686,Opossum,2</font></pre>
   </ul>
+    <p>
+  <hr>
+   <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-nc/3.0/88x31.png" /></a><br />
+  © Commonwealth of Australia (Geoscience Australia) 2010.
+  This material is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/">Creative Commons Attribution-Noncommercial
+  3.0 Australia License</a>.  
 </body>
 </html>
Index: /DVD_images/extra_files/Geraldton/index.html
===================================================================
--- /DVD_images/extra_files/Geraldton/index.html	(revision 7619)
+++ /DVD_images/extra_files/Geraldton/index.html	(revision 7620)
@@ -24,17 +24,15 @@
   <a name="introduction"><h3><b>Introduction</b></h3></a>
   The information within this DVD is the result of a validation study of Geoscience Australia's tsunami modelling methodology. 
-  The Australian Government Attorney Generals Department (AGD) has supported Geoscience Australia (GA) in developing a
-  range of products to support the understanding of tsunami hazard through the Australian Tsunami Warning System Project. This has involved the 
-  development of methodologies for modelling tsunami generation, propagation and inundation. The work reported here validates
+  This has involved the development of methodologies for modelling tsunami generation, propagation and inundation. The work reported here validates
   the tsunami modelling methodology against observational evidence of the 2004 Indian Ocean Tsunami. Results from deep water propagation modelling
-  using the URSGA model are compared with satellite altimetry from <a href="http://topex-www.jpl.nasa.gov/mission/jason-1.html">Jason-1</a>. Timeseries from the URSGA model are used to drive 
+  using the URSGA model are compared with satellite altimetry from <a href="http://topex-www.jpl.nasa.gov/mission/jason-1.html">Jason-1</a>. Time series from the URSGA model are used to drive 
   the <a href="https://datamining.anu.edu.au/anuga">ANUGA</a> hydrodynamic model to simulate onshore inundation for Geraldton, Western Australia.
   Inundation results are compared with observational data including 
-  <a href="http://www.dpi.wa.gov.au/imarine/19383.asp">tide gauge records</a> obtained from <a href="http://www.dpi.wa.gov.au/">The Department of Transport</a> in Western Australia
+  <a href="http://www.dpi.wa.gov.au/imarine/19383.asp">tide gauge records</a> obtained from the <a href="http://www.dpi.wa.gov.au/">Department of Transport</a> in Western Australia
   and <a href="field_observations" >field observations</a> collected by Guria Consulting.
   <p>
   While the associated report provides background, model results and interpretations, the DVD contains all data, scripts and
   instructions for installing software necessary to reproduce and potentially augment the ANUGA inundation model underpinning the report. 
-  This includes modelled <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries/wa04_val">timeseries</a> of the 2004 tsunami along the entire Western Australian coast. 
+  This includes modelled <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries/wa04_val">time series</a> of the 2004 tsunami along the entire Western Australian coast. 
   This allows other users both to rerun the inundation model to test the validation and also to potentially run simulations for other Western Australian locations.
   <p>
@@ -46,9 +44,9 @@
     <li> <a href="data/western_australia/geraldton_tsunami_scenario/anuga/outputs/2004_tsunami_validation">Model outputs</a> including:
     <ul>
-      <li><a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries/wa04_val">Mux files</a> containing timeseries of the tsunami for offshore Western Australia
-      <li><a href="data/western_australia/geraldton_tsunami_scenario/anuga/outputs/2004_tsunami_validation">CSV files</a> containing timeseries of wave height and momentum
+      <li><a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries/wa04_val">Mux files</a> containing time series of the tsunami for offshore Western Australia
+      <li><a href="data/western_australia/geraldton_tsunami_scenario/anuga/outputs/2004_tsunami_validation">CSV files</a> containing time series of wave height and momentum
       for specific locations in the inundation model</ul>
-    <li>Combined <a href="data/western_australia/geraldton_tsunami_scenario/anuga/topographies">elevation data</a> used by the simulation. Bathymetry data was supplied by 
-    <a href="http://www.dpi.wa.gov.au/">The Department of Transport</a> in Western Australia and a 1 m resolution onshore DEM was supplied by <a href="https://www.landgate.wa.gov.au/corporate.nsf">
+    <li>Combined <a href="data/western_australia/geraldton_tsunami_scenario/anuga/topographies">elevation data</a> used by the simulation. Bathymetry data was supplied by the 
+    <a href="http://www.dpi.wa.gov.au/">Department of Transport</a> in Western Australia and a 1 m resolution onshore DEM was supplied by <a href="https://www.landgate.wa.gov.au/corporate.nsf">
     Landgate</a>. Data is for non-commercial use only.
     <li> The <a href="project">Python scripts</a> used to run the models
Index: /DVD_images/extra_files/Geraldton/installation.html
===================================================================
--- /DVD_images/extra_files/Geraldton/installation.html	(revision 7619)
+++ /DVD_images/extra_files/Geraldton/installation.html	(revision 7620)
@@ -26,5 +26,5 @@
   This document describes the installation and running of the simulation software.
   <p>
-  In addition, we show how to change your simulation, add new elevation data, etc, and how to get help if you have trouble.
+  In addition, we show how to change a simulation, add new elevation data, etc, and how to get help if you have trouble.
 
   <a name="requirements"><h3><b>Requirements</b></h3></a>
@@ -40,14 +40,14 @@
 
   <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
-  <a href="http://sourceforge.net/projects/anuga/">Download Software</a><i>: please note Internet Explorer has the habit of renaming the
+  <a href="http://sourceforge.net/projects/anuga/">Download Software</a><i>: please note Internet Explorer will rename the
   .tgz file to .gz - the remedy is to rename them back or use another browser such as Firefox.</i>
   <p>
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
-  As the installation procedure comprises a number of steps we suggest that it is carried out by someone with a
-  basic understanding of how to install software packages on the operating system of choice.
-
+  A 'one-click' installer exists for Windows but not for Linux. As the Linux installation procedure comprises a number of steps 
+  we suggest that it is carried out by someone with a basic understanding of how to install software packages.
+  
   <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
 
-  This is how you should run the model on this DVD.
+  This is how the model on this DVD should be run.
   We assume that you are using Windows and will give examples for that operating system.
   The translation to Linux should be obvious, but the <a href="#userslist">ANUGA user's mailing list</a>
@@ -58,11 +58,11 @@
   <hr align="left" width="100">
   <p>
-  First, it is assumed you have installed the ANUGA software according to the
+  First, it is assumed the ANUGA software has been installed according to the
   <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
   <p>
   <hr align="left" width="100">
   <p>
-  Next, you must copy the entire contents of the DVD to a place in your file system. Let's assume
-  that you want to put the data into <b>C:\ANUGA</b>. You could drag all files from the DVD into this folder with Explorer.
+  Next, copy the entire contents of the DVD to a place in your file system. Let's assume
+  that you want to put the data into <b>C:\ANUGA</b>. Drag all files from the DVD into this folder with Explorer.
   Or through the Command Prompt window:
   <pre><font color="brown">
@@ -76,15 +76,15 @@
   <hr align="left" width="100">
   <p>
-  Now you must create an environment variable <b>ANUGADATA</b> that points to the directory you just created:
+  Now create an environment variable <b>ANUGADATA</b> that points to the directory just created:
   <pre><font color="brown">
     set ANUGADATA=C:\ANUGA
   </font></pre>
   Doing the above in a Command Prompt window is temporary - if you open another
-  window you will not have the ANUGADATA environment variable defined. To make
-  the variable permanent you must set it in the <b>Start|Settings|Control Panel|System</b>
+  window the ANUGADATA environment variable will not be defined. To make
+  the variable permanent set it in the <b>Start|Settings|Control Panel|System</b>
   tool (<b>Advanced</b> tab).  See the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>
   if you don't know how to do this.
   <hr align="left" width="100">
-  Next, you prepare and execute the model:
+  Next, prepare and execute the model:
   <pre><font color="brown">
     cd C:\ANUGA
@@ -107,5 +107,5 @@
   viewer as described in the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>
   and <a href="documents/anuga_user_manual.pdf">User Manual</a>.  You may also
-  generate rasters suitable for GIS mapping or write dedicated scripts extracting timeseries at selected
+  generate ASCI grids that can be made suitable for GIS mapping or write dedicated scripts extracting timeseries at selected
   locations.  Some hints to help you do this are at the <a href="analysis.html">analysis page</a>.
   <p>
@@ -121,5 +121,5 @@
   <a name="modifications"><h3><b>How to modify a simulation</b></h3></a>
 
-  After you have run the supplied simulation you may wish to change it in some way, such as adding improved bathymetry data, for example.
+  After running the supplied simulation you may wish to change it in some way, such as adding improved bathymetry data, for example.
   The <a href="modifications.html">modifications</a> page explains how to do this.
 
@@ -140,4 +140,12 @@
   Note that you can edit the FAQ pages, so it is helpful if you can update the FAQ with your question and its answer if you feel
   it would be helpful to others.
+  
+  <p>
+  <hr>
+   <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-nc/3.0/88x31.png" /></a><br />
+  © Commonwealth of Australia (Geoscience Australia, Department of Transport Western Australia and Landgate) 2010.
+  This material is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/">Creative Commons Attribution-Noncommercial
+  3.0 Australia License</a>.  
+  
 </body>
 </html>
Index: /DVD_images/extra_files/Geraldton/modifications.html
===================================================================
--- /DVD_images/extra_files/Geraldton/modifications.html	(revision 7619)
+++ /DVD_images/extra_files/Geraldton/modifications.html	(revision 7620)
@@ -24,7 +24,6 @@
   <a name="modifications"><h2><b>Modifying a simulation</b></h2></a>
 
-  Here we talk about how to change the simulation.  Why would you need to change the simulation?  Well,
-  you might have some better elevation data, or you want to run the simulation on a finer mesh in certain
-  areas.
+  Here we talk about how to change the simulation.  Reasons for modifying the simulation include the availability of
+  better elevation data, or a desire to run the simulation on a finer mesh in certain areas.
   <p>
   First we describe the usage of the script files you might change, then we walk through a few examples
@@ -111,5 +110,6 @@
   the initial water level will be at Mean Sea Level.  If you increase the <b>tide</b> value the water level will become deeper.
   This setting will also increase non tidal lakes and rivers inside the model.  To compensate a mask is used on land called
-  <b>initial conditions</b> which brings the internal water bodies back to 0.  Within ANUGA <b>tide</b> is modelled as a constant.
+  <b>initial conditions</b> which brings the internal water bodies back to 0.  Please note that within ANUGA the <b>tide</b> is modelled as a constant
+  change in sea level and does not vary with time.
   <p>
 
@@ -175,5 +175,5 @@
 
   The user can specify a number of internal polygons within each of which the resolution of the mesh can be specified.
-  Mesh resolution is the maximum allowable area specified for each region, defining the largest area an indivdual
+  Mesh resolution is the maximum allowable area specified for each region, defining the largest area an individual
   triangular element of the mesh can take (and therefore the minimum mesh resolution).
   These polygons need to be nested within each other with no overlapping edges.
@@ -209,15 +209,15 @@
   <p>
   
-    <a name="Mux_files"><h4><b>Obtaining timeseries of the offshore tsunami wave for other locations</b></h4></a> 
+    <a name="Mux_files"><h4><b>Obtaining time series of the offshore tsunami wave for other locations</b></h4></a> 
   
-  Mux files containing timeseries of the tsunami wave at points along the 100 m depth contour around Western Australia were obtained from the URSGA model.
-  These timeseries form the seaward boundary condition for the ANUGA inundation model. To run an ANUGA simulation for a different area, tsunami timeseries for points
+  Mux files containing time series of the tsunami wave at points along the 100 m depth contour around Western Australia were obtained from the URSGA model.
+  These time series form the seaward boundary condition for the ANUGA inundation model. To run an ANUGA simulation for a different area, tsunami time series for points
   offshore the location of interest must be extracted and reformatted into netCDF (.sts) format from the mux files. This is handled by the <font color="red">build_urs_boundary.py</font> script, which is 
   called from within <font color="red">run_model.py</font>.
-  The points for which the timeseries are extracted are defined within the file <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries">urs_order.csv</a>. 
+  The points for which the time series are extracted are defined within the file <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries">urs_order.csv</a>. 
   This file must be modified as follows to run a model for a different area.
   <p>
-  The file <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries">urs_timeseries_locations.csv</a> contains a list of all the points for which timeseries exist within the mux files. This file can be loaded into a GIS environment and the points within the model selected. 
-  Note that you should only choose approximately every 5th points, keeping the points in as close to a straight line as possible.
+  The file <a href="data/western_australia/geraldton_tsunami_scenario/anuga/boundaries">USRGA_gauges_all_WA.csv</a> contains a list of all the points for which timeseries exist within the mux files. This file can be loaded into a GIS environment and the points within the model selected. 
+  Note that you should only choose approximately every fifth point, keeping the points in as close to a straight line as possible.
   Choosing points too close to each other can cause problems with fitting the mesh to the model domain.
   These points should be written into a .csv file in the following format (including header):
@@ -228,5 +228,10 @@
   <p>
   If the name of this .csv file is changed from urs_order, then this must be updated in <font color="red">project.py</font>
-  
+   <p>
+  <hr>
+   <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-nc/3.0/88x31.png" /></a><br />
+  © Commonwealth of Australia (Geoscience Australia, Department of Transport Western Australia and Landgate) 2010.
+  This material is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc/3.0/">Creative Commons Attribution-Noncommercial
+  3.0 Australia License</a>.   
 </body>
 </html>