Index: /anuga_work/production/australia_ph2/plot_comparisons/plot_250m_comparisons.py
===================================================================
--- /anuga_work/production/australia_ph2/plot_comparisons/plot_250m_comparisons.py	(revision 7621)
+++ /anuga_work/production/australia_ph2/plot_comparisons/plot_250m_comparisons.py	(revision 7622)
@@ -1,4 +1,6 @@
 """
 Program to plot the results from the Phase 2 comparisions.
+Compares stage height results from models run with best available data against those
+using the Geoscience Australia 250 m bathymetry/elevation grid (2005). 
 
 
@@ -19,18 +21,17 @@
 path = r'/nas/gemd/georisk_models/inundation/data/australia_ph2/documents/250m comparisons'
 path_list = []
-model_list = ['BatemansBay', 'Busselton', 'Carnarvon', 'Geraldton', 'GoldCoast', 'Gosford', 'Pt_hedland']
+model_list = ['BatemansBay', 'Busselton', 'Carnarvon', 'Geraldton', 'GoldCoast', 'Gosford', 'Hobart', 'Pt_hedland']
 
 # Choose figure name here! This controls what is plotted
 #figure_name = 'Phase2comparions_percent.png' # Plots the mean percentage difference in stage
-figure_name = 'Phase2comparions.png'   # Plots the absolute difference in stage
+#figure_name = 'Phase2comparions.png'   # Plots the absolute difference in stage
+#figure_name = 'greens_law_comparision.png'   # Plots the absolute difference in stage compared to Greens Law
+figure_name = 'greens_law_percent_comparision.png'   # Plots the percentage difference in stage compared to Greens Law
+
 figure_folder = join(path, 'figures')
 figure_path = join(figure_folder, figure_name)
 
-for model in model_list:
-    model_path = join(path, model, 'comparisons.csv')
-    path_list.append(model_path)
-
-plot_dict = {'BatemansBay':'x', 'Busselton':'^', 'Carnarvon':'x', 'Geraldton':'h', 'GoldCoast': 'v', 'Gosford':'+', 'Pt_hedland':'+'}
-colour_dict = {'BatemansBay':'r', 'Busselton':'b', 'Carnarvon': 2.03, 'Geraldton':'b', 'GoldCoast': 'r', 'Gosford':'r', 'Pt_hedland':'b'}
+plot_dict = {'BatemansBay':'x', 'Busselton':'^', 'Carnarvon':'x', 'Geraldton':'h', 'GoldCoast': 'v', 'Gosford':'+', 'Hobart':'^','Pt_hedland':'+'}
+colour_dict = {'BatemansBay':'r', 'Busselton':'b', 'Carnarvon': 'b', 'Geraldton':'b', 'GoldCoast': 'r', 'Gosford':'r',  'Hobart':'r','Pt_hedland':'b'}
 
 mean_100m_stage = {'BatemansBay': 1.10, 'Busselton': 0.98, 'Carnarvon': 2.03, 'Geraldton':0.95,
@@ -38,4 +39,12 @@
 event_dict = {'BatemansBay': 58284, 'Busselton': 27283, 'Carnarvon': 27283, 'Geraldton':27283,
               'GoldCoast': 51469, 'Gosford': 51436, 'Hobart': 58260, 'Pt_hedland': 27283}
+
+depth_list2 = [-60,-50,-40,-30,-20,-10,0,10]
+twenty_m = [20,20,20,20,20,20,20,20]
+fifty_m = [50,50,50,50,50,50,50,50]
+
+for model in model_list:
+    model_path = join(path, model, 'comparisons.csv')
+    path_list.append(model_path)
 #
 pylab.cla()
@@ -48,4 +57,5 @@
     orig_stage_index = header.index('stage_high_res_model')
     print depth_index, stage_diff_index, orig_stage_index
+    
     depth = []
     stage_diff = []
@@ -57,4 +67,5 @@
     depth_dict = dict.fromkeys(depth).keys()
 
+    # Establish dictionaries and lists
     stage_diff_dict = {}
     orig_stage_dict = {}
@@ -63,14 +74,32 @@
     orig_stage_mean_dict = {}
     percent_diff_mean_dict = {}
+    
+    greens_law_dict = {}
+    greens_law_percent_dict = {}    
+    greens_law_mean_dict = {}
+    greens_law_percent_mean_dict = {}
+    
+
     key_list = []
-    
     diff_mean_list = []
     percent_mean_list = []
+    greens_law_diff_mean_list=[]
+    greens_law_percent_mean_list=[]
+
     
     for key in depth_dict:
-   
+
+        #print 'key',key
+        # Calculate Green's Law estimate
+        greens_estimate = mean_100m_stage[model_list[counter]]*numpy.power((100.0/abs(key+0.001)),(0.25))
+        #print 'greens_estimate', greens_estimate
+        # Lists to store results
         stage_diff_list = []        
         orig_stage_list = []
         percent_diff_list = []
+        greens_law_diff = []
+        greens_law_percent = []
+        
+        # Loop through depths
         for i in range(len(depth)):
             if depth[i] == key:
@@ -78,15 +107,25 @@
                 orig_stage_list.append(orig_stage[i])
                 percent_diff_list.append((stage_diff[i]/orig_stage[i])*100)
+                greens_law_diff.append(abs((orig_stage[i]-greens_estimate)))
+                greens_law_percent.append(abs(((orig_stage[i]-greens_estimate)/orig_stage[i])*100))
+                
         stage_diff_dict[key] = stage_diff_list
         orig_stage_dict[key] = orig_stage_list
         percent_diff_dict[key] = percent_diff_list
+        greens_law_dict[key] = greens_law_diff
+        greens_law_percent_dict[key] = greens_law_percent
 
         stage_diff_mean_dict[key] = numpy.mean(stage_diff_dict[key])
         orig_stage_mean_dict[key] = numpy.mean(orig_stage_dict[key])
         percent_diff_mean_dict[key] = numpy.mean( percent_diff_dict[key])
+        greens_law_mean_dict[key] = numpy.mean(greens_law_dict[key])
+        greens_law_percent_mean_dict[key] = numpy.mean(greens_law_percent_dict[key])
+        
         key_list.append(key)
         diff_mean_list.append(stage_diff_mean_dict[key])
         percent_mean_list.append(percent_diff_mean_dict[key])
-
+        greens_law_diff_mean_list.append(greens_law_mean_dict[key])
+        greens_law_percent_mean_list.append(greens_law_percent_mean_dict[key])
+        #print 'greens_law_diff_mean_list', greens_law_diff_mean_list
     pylab.semilogy()
     pylab.xlabel('Depth (m)') 
@@ -96,9 +135,21 @@
         pylab.ylabel('Difference (m)')
         pylab.scatter(key_list,diff_mean_list, marker = plot_dict[model_list[counter]],color = colour_dict[model_list[counter]])
+        
     if figure_name == 'Phase2comparions_percent.png':
         pylab.title('Mean percentage difference in stage height')
         pylab.ylabel('Difference %')
         pylab.scatter(key_list,percent_mean_list, marker = plot_dict[model_list[counter]],color = colour_dict[model_list[counter]])
-            
+        pylab.plot(depth_list2,twenty_m, color = 'black')
+        
+    if figure_name == 'greens_law_comparision.png':
+        pylab.title('Greens Law mean difference in stage height')
+        pylab.ylabel('Difference (m)')
+        pylab.scatter(key_list,greens_law_diff_mean_list, marker = plot_dict[model_list[counter]],color = colour_dict[model_list[counter]])
+        
+    if figure_name == 'greens_law_percent_comparision.png':
+        pylab.title('Greens Law mean percentage difference in stage height')
+        pylab.ylabel('Difference %')
+        pylab.scatter(key_list,greens_law_percent_mean_list, marker = plot_dict[model_list[counter]],color = colour_dict[model_list[counter]])
+        pylab.plot(depth_list2,twenty_m, color = 'black')
     counter+=1
 
@@ -110,5 +161,14 @@
     pylab.text(-58, 600, 'East Coast', color = 'r')
     pylab.text(-58, 400, 'West Coast', color = 'b')
-    
+    pylab.text(-58, 22, '20%')
+
+if figure_name == 'greens_law_comparision.png':
+    pylab.text(-58, 60, 'East Coast', color = 'r')
+    pylab.text(-58, 40, 'West Coast', color = 'b')
+
+if figure_name == 'greens_law_percent_comparision.png':
+    pylab.text(-58, 5000, 'East Coast', color = 'r')
+    pylab.text(-58, 3000, 'West Coast', color = 'b')
+    pylab.text(-58, 22, '20%')
 
 pylab.savefig(figure_path)
Index: /anuga_work/production/australia_ph2/plot_comparisons/plot_xmin.py
===================================================================
--- /anuga_work/production/australia_ph2/plot_comparisons/plot_xmin.py	(revision 7622)
+++ /anuga_work/production/australia_ph2/plot_comparisons/plot_xmin.py	(revision 7622)
@@ -0,0 +1,59 @@
+"""
+Program to plot the evaluate and plot Harig et al (2008)'s criteria for
+maximum triangle size
+
+
+Creator: Jonathan Griffin
+Created: 7 October 2009
+"""
+import os
+import sys
+from os.path import join
+
+import matplotlib
+matplotlib.use('Agg')
+import pylab
+from pylab import *
+import numpy
+
+path = r'/nas/gemd/georisk_models/inundation/data/australia_ph2/documents/250m comparisons'
+
+
+figure_name = 'xmin.png'   
+
+figure_folder = join(path, 'figures')
+figure_path = join(figure_folder, figure_name)
+
+# Constants
+ct = 20.0
+ch = 30.0
+
+# Water depths to eveluate function at
+h = [100,90,80,70,60,50,40,30,20,10,0]
+slope = [0.001,0.005,0.01,0.05, 0.1, 0.5]
+slope_dict = {0.001: 'r',0.005:'b',0.01:'r',0.05:'g', 0.1:'b', 0.5:'y'}
+
+    
+
+# Gravity
+g = 9.81
+
+#pylab.semilogy()
+pylab.xlabel('Depth (m)')
+pylab.ylabel('xmin (m)')
+for sl in slope:
+    xmin = []
+    for depth in h:
+        a = ct*numpy.sqrt(g*depth)
+        print 'a', a
+        b = ch*(1.0/sl)
+        print 'b', b
+        minval = numpy.min([a,b])
+        print 'minval', minval
+        xmin.append(minval)
+        print 'xmin', xmin
+    pylab.plot(h, xmin, color = slope_dict[sl])
+    print xmin
+    
+
+pylab.savefig(figure_path)
Index: /anuga_work/production/australia_ph2/plot_comparisons/time_comp.py
===================================================================
--- /anuga_work/production/australia_ph2/plot_comparisons/time_comp.py	(revision 7622)
+++ /anuga_work/production/australia_ph2/plot_comparisons/time_comp.py	(revision 7622)
@@ -0,0 +1,103 @@
+""" This code calculates the time differences for 250 m adn
+high resolution models
+
+Creator: Jonathan Griffin, Geoscience Australia
+Created: 10 November 2009
+"""
+
+import os
+import sys
+from os.path import join
+import csv
+
+import matplotlib
+matplotlib.use('Agg')
+import pylab
+from pylab import *
+import numpy
+
+path = r'/nas/gemd/georisk_models/inundation/data/'
+figure_path = r'/nas/gemd/georisk_models/inundation/data/australia_ph2/documents/250m comparisons/figures'
+figure_name = 'Phase2_time_comp.png'
+figure_file_path = join(figure_path, figure_name)
+
+PHed1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/pt_hedland_tsunami_scenario_2009/anuga/outputs/20081125_135917_run_final_0_27283_250m_none_lfountai'
+PHed2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/pt_hedland_tsunami_scenario_2009/anuga/outputs/20081211_095614_run_final_0.0_27283_alpha0.1_jgriffin'
+Bus1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/busselton_tsunami_scenario/anuga/outputs/20091210_133449_run_final_0.6_27255_Bt_250m_jgriffin'
+Bus2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/busselton_tsunami_scenario/anuga/outputs/20090403_092302_run_final_0.6_27255_Bt_kvanputt'
+Car1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/carnarvon_tsunami_scenario/anuga/outputs/20100112_172321_run_final_0_27255_250m_jgriffin'
+Car2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/carnarvon_tsunami_scenario/anuga/outputs/20090327_154824_run_final_0_27255_Bt_kvanputt'
+Ger1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/geraldton_tsunami_scenario/anuga/outputs/20091210_174442_run_final_0_27255_Bt_250m_jgriffin'
+Ger2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/geraldton_tsunami_scenario/anuga/outputs/20090327_160043_run_final_0_27255_Bt_kvanputt'
+
+Gos1 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/outputs/20090915_094930_run_final_0.0_51436_250m_jgriffin'
+Gos2 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/outputs/20090615_160610_run_final_0.0_51436_jgriffin'
+BBay1 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/batemans_bay_tsunami_scenario_2009/anuga/outputs/20090601_172248_run_final_0.0_58284__250m_jgriffin'
+BBay2 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/batemans_bay_tsunami_scenario_2009/anuga/outputs/20090520_145616_run_final_0.0_58284_jgriffin'
+Gold1 =r'/nas/gemd/georisk_models/inundation/data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs/20090605_120328_run_final_0_250m_51469_lfountai'
+Gold2 =r'/nas/gemd/georisk_models/inundation/data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs/20090508_150215_run_final_0_51469_lfountai'
+Hob1 = r'/nas/gemd/georisk_models/inundation/data/tasmania/hobart_tsunami_scenario_2009/anuga/outputs/20090930_151227_run_final_0_58260_250m_jgriffin'
+Hob2 = r'/nas/gemd/georisk_models/inundation/data/tasmania/hobart_tsunami_scenario_2009/anuga/outputs/20090714_162136_run_final_0_58260_None_kvanputt'
+
+low_res_list = [PHed1, Bus1, Car1, Ger1, Gos1, BBay1, Gold1, Hob1]
+high_res_list = [PHed2, Bus2, Car2, Ger2, Gos2, BBay2, Gold2, Hob2]
+depth_list = [0,-10,-20,-30,-40,-50]
+
+marker_list = ['x','^', 'x', '+', 'x','^', 'x', '+' ]
+colours = ['b','b','b','b','r','r','r','r']
+
+
+for i in range(len(low_res_list)):
+    low_res_time_list = []
+    high_res_time_list = []
+    for depth in depth_list:
+        file_path = low_res_list[i]+'/gauge_'+str(depth)+'.csv'
+        reader = csv.reader(open(file_path))
+        header = reader.next()
+        initial_values = reader.next()
+        time = 0
+        for row in reader:
+            if time != 0:
+                break
+            if abs(float(row[2]))> abs(float(initial_values[2]))+0.01:
+                time = row[0]
+                break
+        low_res_time_list.append(float(time))
+
+    for depth in depth_list:
+        file_path = high_res_list[i]+'/gauge_'+str(depth)+'.csv'
+        reader = csv.reader(open(file_path))
+        header = reader.next()
+        initial_values = reader.next()
+        time = 0
+        for row in reader:
+            if time != 0:
+                break
+            if abs(float(row[2]))> abs(float(initial_values[2]))+0.01:
+                time = row[0]
+                break
+        high_res_time_list.append(float(time))
+
+    time_diff = []
+    for j in range(len(low_res_time_list)):
+        if high_res_time_list[j] ==0:
+            high_res_time_list[j]=-999999
+        if low_res_time_list[j] ==0:
+            low_res_time_list[j]=999999
+        time_diff.append(abs((high_res_time_list[j] - low_res_time_list[j])))
+    print 'low_res_time_list', low_res_time_list
+    print 'high_res_time_list', high_res_time_list       
+    print time_diff
+    for j in range(len(time_diff)):
+        time_diff[j] = time_diff[j]/60
+
+    pylab.scatter(depth_list,time_diff, marker = marker_list[i], color = colours[i])
+#pylab.semilogy([0,1])
+        
+pylab.axis([-60,10,0,40])
+pylab.title('Difference in arrival times (minutes)')
+pylab.ylabel('Difference (minutes)')
+pylab.xlabel('Depth')
+pylab.text(-58, 37, 'East Coast', color = 'r')
+pylab.text(-58, 35, 'West Coast', color = 'b')
+pylab.savefig(figure_file_path)
Index: /anuga_work/production/australia_ph2/plot_comparisons/velocity_comp.py
===================================================================
--- /anuga_work/production/australia_ph2/plot_comparisons/velocity_comp.py	(revision 7622)
+++ /anuga_work/production/australia_ph2/plot_comparisons/velocity_comp.py	(revision 7622)
@@ -0,0 +1,138 @@
+""" This code calculates the time differences for 250 m adn
+high resolution models
+
+Creator: Jonathan Griffin, Geoscience Australia
+Created: 10 November 2009
+"""
+
+import os
+import sys
+from os.path import join
+import csv
+
+import matplotlib
+matplotlib.use('Agg')
+import pylab
+from pylab import *
+import numpy
+
+path = r'/nas/gemd/georisk_models/inundation/data/'
+figure_path = r'/nas/gemd/georisk_models/inundation/data/australia_ph2/documents/250m comparisons/figures'
+figure_name = 'Phase2_velocity_comp.png'
+
+plot = 'percent'
+#plot = 'absolute'
+#plot = 'high_res'
+figure_file_path = figure_path + '/'+plot + '_' +figure_name
+
+PHed1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/pt_hedland_tsunami_scenario_2009/anuga/outputs/20081125_135917_run_final_0_27283_250m_none_lfountai'
+PHed2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/pt_hedland_tsunami_scenario_2009/anuga/outputs/20081211_095614_run_final_0.0_27283_alpha0.1_jgriffin'
+Bus1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/busselton_tsunami_scenario/anuga/outputs/20091210_133449_run_final_0.6_27255_Bt_250m_jgriffin'
+Bus2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/busselton_tsunami_scenario/anuga/outputs/20090403_092302_run_final_0.6_27255_Bt_kvanputt'
+Car1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/carnarvon_tsunami_scenario/anuga/outputs/20100112_172321_run_final_0_27255_250m_jgriffin'
+Car2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/carnarvon_tsunami_scenario/anuga/outputs/20090327_154824_run_final_0_27255_Bt_kvanputt'
+Ger1 = r'/nas/gemd/georisk_models/inundation/data/western_australia/geraldton_tsunami_scenario/anuga/outputs/20091210_174442_run_final_0_27255_Bt_250m_jgriffin'
+Ger2 = r'/nas/gemd/georisk_models/inundation/data/western_australia/geraldton_tsunami_scenario/anuga/outputs/20090327_160043_run_final_0_27255_Bt_kvanputt'
+
+Gos1 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/outputs/20090915_094930_run_final_0.0_51436_250m_jgriffin'
+Gos2 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/outputs/20090615_160610_run_final_0.0_51436_jgriffin'
+BBay1 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/batemans_bay_tsunami_scenario_2009/anuga/outputs/20090601_172248_run_final_0.0_58284__250m_jgriffin'
+BBay2 = r'/nas/gemd/georisk_models/inundation/data/new_south_wales/batemans_bay_tsunami_scenario_2009/anuga/outputs/20090520_145616_run_final_0.0_58284_jgriffin'
+Gold1 =r'/nas/gemd/georisk_models/inundation/data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs/20090605_120328_run_final_0_250m_51469_lfountai'
+Gold2 =r'/nas/gemd/georisk_models/inundation/data/queensland/gold_coast_tsunami_scenario_2009/anuga/outputs/20090508_150215_run_final_0_51469_lfountai'
+Hob1 = r'/nas/gemd/georisk_models/inundation/data/tasmania/hobart_tsunami_scenario_2009/anuga/outputs/20090930_151227_run_final_0_58260_250m_jgriffin'
+Hob2 = r'/nas/gemd/georisk_models/inundation/data/tasmania/hobart_tsunami_scenario_2009/anuga/outputs/20090714_162136_run_final_0_58260_None_kvanputt'
+
+low_res_list = [PHed1, Bus1, Car1, Ger1, Gos1, BBay1, Gold1, Hob1]
+high_res_list = [PHed2, Bus2, Car2, Ger2, Gos2, BBay2, Gold2, Hob2]
+depth_list = [0,-10,-20,-30,-40,-50]
+
+depth_list2 = [-60,-50,-40,-30,-20,-10,0,10]
+twenty_m = [20,20,20,20,20,20,20,20]
+
+marker_list = ['x','^', 'x', '+', 'x','^', 'x', '+' ]
+colours = ['b','b','b','b','r','r','r','r']
+
+
+for i in range(len(low_res_list)):
+    low_res_vel_list = []
+    high_res_vel_list = []
+    for depth in depth_list:
+        file_path = low_res_list[i]+'/gauge_'+str(depth)+'.csv'
+        reader = csv.reader(open(file_path))
+        header = reader.next()
+        initial_values = reader.next()
+        velocity_values = []
+        for row in reader:
+            velocity_values.append(float(row[3]))
+        max_velocity_low_res = np.max(velocity_values)
+        low_res_vel_list.append(max_velocity_low_res)
+            
+    for depth in depth_list:
+        file_path = high_res_list[i]+'/gauge_'+str(depth)+'.csv'
+        reader = csv.reader(open(file_path))
+        header = reader.next()
+        initial_values = reader.next()
+        velocity_values = []
+        for row in reader:
+            velocity_values.append(float(row[3]))
+        max_velocity_high_res = np.max(velocity_values)
+        high_res_vel_list.append(max_velocity_high_res)
+        
+    vel_diff = []
+    vel_percent_diff = []
+    for j in range(len(low_res_vel_list)):
+        if high_res_vel_list[j] ==0:
+            high_res_vel_list[j]=-999999
+        if low_res_vel_list[j] ==0:
+            low_res_vel_list[j]=999999
+        vel_diff.append(abs((high_res_vel_list[j] - low_res_vel_list[j])))
+        vel_percent_diff.append(100*vel_diff[j]/high_res_vel_list[j])
+
+    print 'velocity_diff', vel_diff
+    print 'velocity_percent_diff', vel_percent_diff    
+
+    
+
+    if plot == 'percent':
+        pylab.scatter(depth_list,vel_percent_diff, marker = marker_list[i], color = colours[i])
+        pylab.plot(depth_list2,twenty_m, color = 'black')
+#pylab.semilogy([0,1])
+
+    if plot == 'absolute':
+        pylab.scatter(depth_list,vel_diff, marker = marker_list[i], color = colours[i])
+
+    if plot == 'high_res':
+        pylab.scatter(depth_list,high_res_vel_list, marker = marker_list[i], color = colours[i])
+
+if plot == 'percent':
+    pylab.semilogy([-60,10,0,1000])
+    pylab.axis([-60,10,0,1000])
+    pylab.title('Percentage difference in maximum velocity')
+    pylab.ylabel('Difference (%)')
+    pylab.xlabel('Depth (m)')
+    pylab.text(-58, 700, 'East Coast', color = 'r')
+    pylab.text(-58, 500, 'West Coast', color = 'b')
+    pylab.text(-58, 22, '20%')
+    
+    
+if plot == 'absolute':
+    
+    pylab.axis([-60,10,0,5])
+    pylab.title('Difference in maximum velocity (m/s)')
+    pylab.ylabel('Difference (m/s)')
+    pylab.xlabel('Depth (m)')
+    pylab.text(-58, 4.7, 'East Coast', color = 'r')
+    pylab.text(-58, 4.5, 'West Coast', color = 'b')
+
+
+if plot == 'high_res':
+    
+    pylab.axis([-60,10,0,10])
+    pylab.title('Maximum velocity (m/s)')
+    pylab.ylabel('Velocity (m/s)')
+    pylab.xlabel('Depth (m)')
+    pylab.text(-58, 4.7, 'East Coast', color = 'r')
+    pylab.text(-58, 4.5, 'West Coast', color = 'b')
+  
+pylab.savefig(figure_file_path)