Index: /anuga_work/production/mandurah_storm_surge_2009/build_elevation.py
===================================================================
--- /anuga_work/production/mandurah_storm_surge_2009/build_elevation.py	(revision 7626)
+++ /anuga_work/production/mandurah_storm_surge_2009/build_elevation.py	(revision 7627)
@@ -82,8 +82,16 @@
 print 'project.elevation_clip_box', project.elevation_clip_box
 
-G1 = geospatial_data['topog'].clip(project.elevation_clip_box)
-G2 = geospatial_data['man10m_ss'].clip_outside(project.elevation_clip_box)
+# G1 = geospatial_data['Man_25m'].clip(project.elevation_clip_box)
+# G2 = geospatial_data['ph10m_ss'].clip_outside(project.elevation_clip_box)
 
-G = G1 + G2
+G1 = geospatial_data['m_peel_aoi'].clip(project.elevation_clip_box)
+G2 = geospatial_data['ph10m_ss'].clip_outside(project.elevation_clip_box)
+G3 = geospatial_data['MA-46893-SNDS_AHD.csv']
+G4 = geospatial_data['MS0205HY_AHD.csv']
+G5 = geospatial_data['MS0404_AHD.csv']
+G6 = geospatial_data['YU0403HY_AHD.csv']
+G7 = geospatial_data['original_data_ss.csv']
+
+G = G1 + G2 + G3 + G4 + G5 + G6 + G7
 	
 print 'Export combined DEM file'
Index: /anuga_work/production/mandurah_storm_surge_2009/project.py
===================================================================
--- /anuga_work/production/mandurah_storm_surge_2009/project.py	(revision 7626)
+++ /anuga_work/production/mandurah_storm_surge_2009/project.py	(revision 7627)
@@ -73,18 +73,23 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-##ascii_grid_filenames = ['m_peel.asc',
-##                        'm_harvey.asc',
-##                        'm_peel_10m.asc'
-##                        'm_harvey_10m.asc']
-ascii_grid_filenames = ['Man_25m',		# this is the latest 25m DEM from GEMS
-								'man10m_ss']	# this is to fill in areas not covered by the 
+
+# This set of ascii files is utilising the original input data, not the GEMS elevation model
+ascii_grid_filenames = ['m_peel_aoi',           # Original 1m lidar for PEEL, clipped to AOI
+                        'ph10m_ss']             # Mosiaced PEEL-HARVEY Lidar, resampled to 10m,
+                                                # clipped to bounding polygon
+ 
+# This set of ascii files utilises the GEMS elevation model - for comparison with GEMS inundation 
+# ascii_grid_filenames = ['Man_25m',		# this is the latest 25m DEM from GEMS
+								# 'ph10m_ss']	# this is to fill in areas not covered by the 
 								# GEMS grid and is derived from the 10m resampled LiDAR from DoT
 
 # Format for point is x,y,elevation (with header)
-point_filenames = []
-##			['MA-46893-SNDS_AHD.csv',
-##                   'MS0205HY_AHD.csv',
-##                   'MS0404_AHD.csv',
-##                   'YU0403HY_AHD.csv']
+# Don't use these for comparison with GEMS inundation
+point_filenames = ['MA-46893-SNDS_AHD.csv',     # These files contain inf-fill bathymetry for 
+                  'MS0205HY_AHD.csv',           # the Peel & Harvey estuaries, as well as around
+                  'MS0404_AHD.csv',             # the canals
+                  'YU0403HY_AHD.csv',
+                  'original_data_ss.csv']       # This data is from what we had available for the 2007
+                                                # tsunami simulations for SW WA, clipped to bounding polygon
 
 # BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
@@ -128,5 +133,5 @@
 # Used in get_timeseries.py.  
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'gauges.csv'
+gauges_filename = 'gauges_mandurah_edited.csv'
 
 # BUILDINGS EXPOSURE - for identifying inundated houses
@@ -155,5 +160,6 @@
 # Elevation clip box - used when there are multiple overlapping datasets and you want to use 
 # one over another in an area of overlap
-elevation_clip_box_filename = 'elevation_clip_box.csv'
+#elevation_clip_box_filename = 'gems_elevation_clip_box.csv'
+elevation_clip_box_filename = 'area_of_interest.csv'
 
 ################################################################################